Subject: bug#5817 closed by Bob Proulx <[email-masked]> (reply to [email-masked]) (Re: bug#5817: "false" core util)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 15 Apr 2010 22:25:02 +0000

This is an automatic notification regarding your bug report
which was filed against the coreutils package:

#5817: "false" core util

It has been closed by Bob Proulx <[email-masked]> (reply to [email-masked]).

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Bob Proulx <[email-masked]> (reply to [email-masked]) by
replying to this email.

-- 
5817: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=5817
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#5817: "false" core util
From: Bob Proulx <[email-masked]>
To: phoenix <[email-masked]>
Cc: [email-masked]
Date: Thu, 15 Apr 2010 16:23:58 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

Bob Proulx wrote:
> phoenix wrote:
> > I've found a serious error in the program "false": If I pipe some
> > text to it (e.g. echo "i lost the game" | false), it does not fail
> > but rather returns a success. Any suggestions?
> ...
> In order to get the coreutils version you would need to specify a path
> to it.  But the shell should still detect this error.

Since it has been two weeks and we haven't heard any replies I am
going to assume that the information supplied solved your problem and
that this bug can be closed.  If you have additional information
please feel free to add it to the bug report.

Thanks,
Bob

Subject: "false" core util
From: phoenix <[email-masked]>
To: [email-masked]
Date: Thu, 1 Apr 2010 13:49:57 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hey guys,
I've found a serious error in the program "false": If I pipe some text to it
(e.g. echo "i lost the game" | false), it does not fail but rather returns a
success. Any suggestions? I need this program very much for completing my
thesis on Pseudo-Riemannian manifolds.
It would very kind of you if you'd inform me when the error has been fixed.
(Remark: I am using Ubuntu 9.10.)
Best regards,
Hajo Pei